Option Explicit

Dim WshShell, regVal, retVal

' Enable error handling
On Error Resume Next

Set WshShell = WScript.CreateObject("WScript.Shell")
regVal = WshShell.RegRead("HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v2.0.50727\Install")

If Err.number <> 0 Or regVal <> 1 Then
    ' The user doesn't have the .NET framework 2.0 installed
    If (MsgBox("You need the .NET Framework 2.0 installed to run the " & _
               "Teknovus PC Host GUI.  Would you like to install it?", _
               4 + 48, "PC Host GUI: Missing .NET Framework") = 6) Then
        ' Now is time to run the installer
        retVal = WshShell.Run("dotNetFx20.exe", 1, true)
        If retVal <> 0 Then
        	' There was an error during installation
        	MsgBox "There was an error during .NET Framework installation." & _
        	       Chr(13) & "Please try again or manually install the " & _
        	       ".NET Framework before running the Teknovus PC Host GUI.", _
        	       16, "PC Host GUI: Error During Installation"
        	WScript.Quit(2)
        End If
    Else
        ' If he doesn't want to install it, it's not my problem
        WScript.Quit(1)
    End If
End If

' The user now has the .NET framework installed
WshShell.Run "pchostgui_exec.exe", 1, false
WScript.Quit(0) ' Return 0, everything went OK